> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workspace Webhooks

> List all webhooks for a workspace



## OpenAPI

````yaml /api-reference/openapi.json get /v1/workspace/webhooks
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/workspace/webhooks:
    get:
      tags:
        - workspace
      summary: List Workspace Webhooks
      description: List all webhooks for a workspace
      operationId: get_workspace_webhooks_route
      parameters:
        - name: include_usages
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Whether to include active usages of the webhook, only usable by
              admins
            examples:
              - false
            default: false
            title: Include Usages
          description: >-
            Whether to include active usages of the webhook, only usable by
            admins
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceWebhookListResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WorkspaceWebhookListResponseModel:
      properties:
        webhooks:
          items:
            $ref: '#/components/schemas/WorkspaceWebhookResponseModel'
          type: array
          title: Webhooks
          description: List of webhooks currently configured for the workspace
      type: object
      required:
        - webhooks
      title: WorkspaceWebhookListResponseModel
      example:
        webhooks:
          - auth_type: hmac
            created_at_unix: 123456789
            is_auto_disabled: false
            is_disabled: false
            most_recent_failure_error_code: 404
            most_recent_failure_timestamp: 123456799
            name: My Webhook
            usage:
              - usage_type: ConvAI Settings
            webhook_id: '123'
            webhook_url: https://threetone.in/example-callback-url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkspaceWebhookResponseModel:
      properties:
        name:
          type: string
          title: Name
          description: The display name for this webhook.
        webhook_id:
          type: string
          title: Webhook Id
          description: The unique ID for this webhook.
        webhook_url:
          type: string
          title: Webhook Url
          description: >-
            The HTTPS callback URL that is called when this webhook is triggered
            in the platform.
        is_disabled:
          type: boolean
          title: Is Disabled
          description: Whether the webhook has been manually disabled by a user.
        is_auto_disabled:
          type: boolean
          title: Is Auto Disabled
          description: >-
            Whether the webhook has been automatically disabled due to repeated
            consecutive failures over a long period of time.
        created_at_unix:
          type: integer
          title: Created At Unix
          description: Original creation time of the webhook.
        auth_type:
          $ref: '#/components/schemas/WebhookAuthMethodType'
          description: The authentication mode used to secure the webhook.
        usage:
          anyOf:
            - items:
                $ref: '#/components/schemas/WorkspaceWebhookUsageResponseModel'
              type: array
            - type: 'null'
          title: Usage
          description: >-
            The list of products that are currently configured to trigger this
            webhook.
        events:
          anyOf:
            - items:
                $ref: '#/components/schemas/WorkspaceWebhookEventType'
              type: array
            - type: 'null'
          title: Events
          description: >-
            The workspace-level events this webhook is currently subscribed to.
            Only populated when usages are requested.
        most_recent_failure_error_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Most Recent Failure Error Code
          description: The most recent error code returned from the callback URL.
        most_recent_failure_timestamp:
          anyOf:
            - type: integer
            - type: 'null'
          title: Most Recent Failure Timestamp
          description: >-
            The most recent time the webhook failed, failures are any non-200
            codes returned by the callback URL.
      type: object
      required:
        - name
        - webhook_id
        - webhook_url
        - is_disabled
        - is_auto_disabled
        - created_at_unix
        - auth_type
      title: WorkspaceWebhookResponseModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WebhookAuthMethodType:
      type: string
      enum:
        - hmac
        - oauth2
        - mtls
      title: WebhookAuthMethodType
    WorkspaceWebhookUsageResponseModel:
      properties:
        usage_type:
          $ref: '#/components/schemas/WebhookUsageType'
      type: object
      required:
        - usage_type
      title: WorkspaceWebhookUsageResponseModel
    WorkspaceWebhookEventType:
      type: string
      enum:
        - voice_library_removal_notice
        - speech_to_text
        - agent_qa
      title: WorkspaceWebhookEventType
    WebhookUsageType:
      type: string
      enum:
        - ConvAI Agent Settings
        - ConvAI Settings
        - ConvAI Alerting
      title: WebhookUsageType

````